CREATE FUNCTION [dbo].[GetFridayDept] (@DOCK VARCHAR(5), @DATEFROM varchar(15), @DATETO varchar(15), @ROUTE VARCHAR(10), @TRIP VARCHAR(10), @ARRV VARCHAR(5), @DPT VARCHAR(5))
RETURNS VARCHAR(MAX) AS
BEGIN
DECLARE @TEXT VARCHAR(5), @COUNT INT

SELECT --DISTINCT
@TEXT = CONVERT(CHAR(5), A.DPTDATETIME, 108)
FROM
TB_R_DCL_TLMS_DRIVER_DATA A
INNER JOIN TB_M_DELIVERY_STATION_MAPPING B ON B.PHYSICAL_DOCK = A.DOCKCD AND B.DOOR_CD_TLMS = A.DOORCD
--WHERE A.RTEDATE >= @DATEFROM AND A.RTEDATE <= @DATETO AND A.DOCKCD = @DOCK AND A.DOORCD <> ''
WHERE A.RTEDATE IN(@DATEFROM, @DATETO) 
AND A.DOCKCD = @DOCK AND A.DOORCD <> ''
AND DATENAME(dw,CONVERT(DATE, A.DPTDATETIME)) = 'Friday' AND RTEGRPCD = @ROUTE AND RUNSEQ = @TRIP
AND CONVERT(CHAR(5), A.DPTDATETIME, 108) <> @DPT
RETURN @TEXT
END

